OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
Interface

# Interface_IndexedMapNodeOfIndexedMapOfAsciiString Class Reference

`#include <Interface_IndexedMapNodeOfIndexedMapOfAsciiString.hxx>`

## Public Member Functions
| Interface_IndexedMapNodeOfIndexedMapOfAsciiString (const TCollection_AsciiString &K1, const Standard_Integer K2, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
TCollection_AsciiString & | Key1 () const
Standard_Integer & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TCollection_AsciiString | myKey1
Standard_Integer | myKey2
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

Interface_IndexedMapNodeOfIndexedMapOfAsciiString::Interface_IndexedMapNodeOfIndexedMapOfAsciiString | ( | const TCollection_AsciiString & | K1,
|  | const Standard_Integer | K2,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const Interface_IndexedMapNodeOfIndexedMapOfAsciiString::Handle | ( | Standard_Type |  | ) | const

TCollection_AsciiString& Interface_IndexedMapNodeOfIndexedMapOfAsciiString::Key1 | ( |  | ) | const

Standard_Integer& Interface_IndexedMapNodeOfIndexedMapOfAsciiString::Key2 | ( |  | ) | const

TCollection_MapNodePtr& Interface_IndexedMapNodeOfIndexedMapOfAsciiString::Next2 | ( |  | ) | const

## Field Documentation

TCollection_AsciiString Interface_IndexedMapNodeOfIndexedMapOfAsciiString::myKey1`[private]`

Standard_Integer Interface_IndexedMapNodeOfIndexedMapOfAsciiString::myKey2`[private]`

TCollection_MapNodePtr Interface_IndexedMapNodeOfIndexedMapOfAsciiString::myNext2`[private]`

The documentation for this class was generated from the following file:

- Interface_IndexedMapNodeOfIndexedMapOfAsciiString.hxx